%define upstream_name    MooseX-Log-Log4perl
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A role for easy usage of logging in your Moose based modules based on L<MooseX::Log::Log4perl>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
A logging role building a very lightweight wrapper to the Log::Log4perl
manpage for use with your the Moose manpage classes. The initialization of
the Log4perl instance must be performed prior to logging the first log
message. Otherwise the default initialization will happen, probably not
doing the things you expect.

For compatibility the 'logger' attribute can be accessed to use a common
interface for application logging.

Using the logger within a class is as simple as consuming a role:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.460.0-5.mga5
+ Revision: 741127
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0-4.mga5
+ Revision: 685543
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.460.0-3.mga4
+ Revision: 513120
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 370190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 0.460.0-1.mga3
+ Revision: 309743
- imported package perl-MooseX-Log-Log4perl


* Wed Oct 24 2012 cpan2dist 0.46-1mga
- initial mageia release, generated with cpan2dist
